For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
        • Scopes
          • POST/passthrough
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Data managementPassthrough

/passthrough

POST
/passthrough
POST
/api/chat/v1/passthrough
$curl -X POST https://api.merge.dev/api/chat/v1/passthrough \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "method": "POST",
> "path": "/scooters"
>}'
200Successful
1{
2 "method": "GET",
3 "path": "/scooters",
4 "status": 200,
5 "response": null,
6 "response_headers": {
7 "X-Page-Token": "value"
8 },
9 "response_type": "JSON",
10 "headers": {
11 "EXTRA-HEADER": "value",
12 "Authorization": "<redacted>"
13 }
14}
Pull data from an endpoint not currently supported by Merge.
Was this page helpful?
Previous

/linked-account-scopes

Next

/async-passthrough

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Request

This endpoint expects an object.
methodenumRequired
  • GET - GET
  • OPTIONS - OPTIONS
  • HEAD - HEAD
  • POST - POST
  • PUT - PUT
  • PATCH - PATCH
  • DELETE - DELETE
pathstringRequired>=1 character
The path of the request in the third party's platform.
base_url_overridestring or nullOptional>=1 character
An optional override of the third party's base url for the request.
datastring or nullOptional>=1 character

The data with the request. You must include a request_format parameter matching the data’s format

multipart_form_datalist of objects or nullOptional

Pass an array of MultipartFormField objects in here instead of using the data param if request_format is set to MULTIPART.

headersmap from strings to any or nullOptional

The headers to use for the request (Merge will handle the account’s authorization headers). Content-Type header is required for passthrough. Choose content type corresponding to expected format of receiving server.

request_formatenum or nullOptional
  • JSON - JSON
  • XML - XML
  • MULTIPART - MULTIPART
Allowed values:
normalize_responsebooleanOptional

Optional. If true, the response will always be an object of the form {"type": T, "value": ...} where T will be one of string, boolean, number, null, array, object.

Response

methodstring
pathstring
statusinteger
responseany
response_headersmap from strings to any
response_typeenum
  • JSON - JSON
  • BASE64_GZIP - BASE64_GZIP
Allowed values:
headersmap from strings to any